/* --------------------------------------------
----                                       ----
----  EN MODE DE FONCTIONNEMENT TELEPHONE  ----
----                                       ----
-----------------------------------------------
*/


@media screen and (max-width:767.98px) {
    main {
        align-items: center;
        /* border: solid blue; */
    }
    .miniMenu {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        /* border: solid red; */
    }
    .affichageUneImage {
        width: 360px;
        height: 100%;
        display: flex;
        margin-top: 20px;
        padding: 10px;
        flex-direction: column;
        /* border: solid blueviolet; */
    }
    .affichageDeuxImages {
        width: 360px;
        height: 100%;
        display: none;
        margin-top: 20px;
        padding: 10px;
        flex-direction: column;
        padding-left: 0;
        /* border: solid peru; */
    }
    .image1 {
        margin: 0px;
        width: 340px;
        height: 300px;
        margin-bottom: 50px;
        /* border: solid black; */
    }
    #image1 {
        display: block;
        width: 340px;
        height: 300px;
        border-radius: 15px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        /* border: solid red; */
    }
    #image2 {
        display: none;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        border-radius: 15px;
        width: 340px;
        height: 215px;
        /* border: solid red; */
    }
    #image3 {
        display: none;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        border-radius: 15px;
        width: 340px;
        height: 215px;
        /* border: solid red; */
    }
    .description1 {
        background: white;
        display: flex;
        flex-direction: column;
        align-items: left;
        width: 340px;
        height: auto;
        border-radius: 15px;
        padding: 10px 10px;
        box-shadow: 1px 1px 12px #555;
        /* border: solid yellow; */
    }
    .description1 h3 {
        text-align: center;
    }
    .textehaut {
        display: flex;
        flex-direction: column;
        align-items: center;
        /* border: solid black; */
    }
    .texteBas {
        display: flex;
        flex-direction: column;
        align-items: center;
        /* border: solid plum; */
    }
    .specifications1 {
        border-radius: 15px;
        box-shadow: 1px 1px 12px #555;
        /* box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2); */
        text-align: left;
        display: none;
        width: 340px;
        height: auto;
        margin-top: 30px;
        margin-bottom: 50px;
        padding: 10px;
        /* border: solid 2px blue; */
    }
    .specifications2 {
        border-radius: 15px;
        box-shadow: 1px 1px 12px #555;
        /* box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2); */
        text-align: left;
        display: none;
        width: 340px;
        height: auto;
        padding: 10px;
        margin-top: 30px;
        /* border: solid 2px green; */
    }
    .personnes1 {
        border-radius: 15px;
        box-shadow: 1px 1px 12px #555;
        /* box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2); */
        text-align: center;
        display: none;
        width: 340px;
        height: auto;
        margin-top: 30px;
        margin-bottom: 50px;
        padding: 10px;
        /* border: solid 2px blue; */
    }
    .personnes2 {
        border-radius: 15px;
        box-shadow: 1px 1px 12px #555;
        /* box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2); */
        text-align: center;
        display: none;
        width: 340px;
        height: auto;
        padding: 10px;
        margin-top: 30px;
        /* border: solid 2px green; */
    }
    /* style des 3 boutons */
    #description {
        background-color: #ffffff;
        width: 105px;
        box-shadow: 2px 2px 2px rgb(19, 134, 150);
        border: solid 1px rgb(214, 225, 226);
        border-radius: 5px;
        color: black;
        padding: 10px 5px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin: 4px 4px;
        cursor: pointer;
    }
    #description:hover {
        color: rgb(19, 134, 150);
        box-shadow: 4px 5px 5px rgb(19, 134, 150);
    }
    #specifications {
        background-color: #ffffff;
        width: 116px;
        box-shadow: 2px 2px 2px rgb(19, 134, 150);
        border: solid 1px rgb(214, 225, 226);
        border-radius: 5px;
        color: black;
        padding: 10px 1px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin: 4px 4px;
        cursor: pointer;
    }
    #specifications:hover {
        color: rgb(19, 134, 150);
        ;
        box-shadow: 4px 5px 5px rgb(19, 134, 150);
    }
    #personnes {
        background-color: #ffffff;
        width: 105px;
        box-shadow: 2px 2px 2px rgb(19, 134, 150);
        border: solid 1px rgb(214, 225, 226);
        border-radius: 5px;
        color: black;
        padding: 10px 5px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin: 4px 4px;
        cursor: pointer;
    }
    #personnes:hover {
        color: rgb(19, 134, 150);
        ;
        box-shadow: 4px 5px 5px rgb(19, 134, 150);
    }
    /* ---------- */
}

/* -----------------------------------------
----                                    ----
----  EN MODE DE FONCTIONNEMENT PC      ----
----                                    ----
--------------------------------------------
*/

@media screen and (min-width:768px) {
    .headerImage {
        /* display: none; */
    }
    main {
        align-items: center;
        /* border: solid blue; */
    }
    .miniMenu {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        /* border: solid red; */
    }
    .affichageUneImage {
        width: 1260px;
        height: auto;
        display: flex;
        margin-top: 30px;
        flex-direction: row;
        justify-content: space-between;
        /* border: solid blueviolet; */
    }
    .affichageDeuxImages {
        width: 100%;
        height: 750px;
        display: none;
        flex-direction: column;
        justify-content: flex-start;
        padding-left: 0;
        /* border: solid peru; */
    }
    .image1 {
        display: block;
        margin: 0px;
        width: 600px;
        height: 400px;
        /* border: solid black; */
    }
    #image1 {
        margin: 0px auto;
        width: 600px;
        height: 400px;
        border-radius: 15px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        margin-left: 5px;
    }
    #image2 {
        display: none;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        border-radius: 15px;
        margin-left: 20px;
        margin-bottom: 5px;
        margin-right: 50px;
        width: 300px;
        height: 195px;
        /* border: solid red; */
    }
    #image3 {
        display: none;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        border-radius: 15px;
        margin-left: 20px;
        margin-top: 5px;
        margin-bottom: 5px;
        margin-right: 50px;
        width: 300px;
        height: 195px;
        /* border: solid red; */
    }
    .description1 {
        background: white;
        display: flex;
        flex-direction: column;
        align-items: left;
        width: 600px;
        height: 400px;
        border-radius: 15px;
        padding: 10px 10px;
        /* box-shadow: 1px 1px 12px #555; */
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        /* border: solid yellow; */
    }
    .description1 h3 {
        text-align: center;
    }
    .textehaut {
        display: flex;
        flex-direction: row;
        margin-top: 30px;
        /* border: solid black; */
    }
    .texteBas {
        display: flex;
        flex-direction: row;
        /* border: solid plum; */
    }
    .specifications1 {
        border-radius: 15px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        display: none;
        width: 600px;
        height: 195px;
        margin-bottom: 10px;
        padding: 10px;
        /* border: solid 2px blue; */
    }
    .specifications2 {
        border-radius: 15px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        display: none;
        width: 600px;
        height: 195px;
        padding: 10px;
        /* border: solid 2px green; */
    }
    .personnes1 {
        border-radius: 15px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        display: none;
        width: 600px;
        height: 195px;
        margin-bottom: 10px;
        padding: 10px;
        /* border: solid 2px blue; */
    }
    .personnes2 {
        border-radius: 15px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        display: none;
        width: 600px;
        height: 195px;
        padding: 10px;
        /* border: solid 2px green; */
    }
    /* position de depart pour l affichage des textes */
    .affichageUneImage {
        z-index: 2;
    }
    .affichageDeuxImages {
        z-index: 2;
        display: none;
    }
    /* ---------- */
    /* design du mini menu avec 3 boutons */
    #description {
        background-color: #ffffff;
        width: 250px;
        box-shadow: 2px 2px 2px rgb(19, 134, 150);
        border: solid 1px rgb(214, 225, 226);
        border-radius: 5px;
        color: black;
        padding: 10px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin: 4px 4px;
        cursor: pointer;
    }
    #description:hover {
        color: rgb(19, 134, 150);
        box-shadow: 4px 5px 5px rgb(19, 134, 150);
    }
    #specifications {
        background-color: #ffffff;
        width: 250px;
        box-shadow: 2px 2px 2px rgb(19, 134, 150);
        border: solid 1px rgb(214, 225, 226);
        border-radius: 5px;
        color: black;
        padding: 10px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin: 4px 4px;
        cursor: pointer;
    }
    #specifications:hover {
        color: rgb(19, 134, 150);
        ;
        box-shadow: 4px 5px 5px rgb(19, 134, 150);
    }
    #personnes {
        background-color: #ffffff;
        width: 250px;
        box-shadow: 2px 2px 2px rgb(19, 134, 150);
        border: solid 1px rgb(214, 225, 226);
        border-radius: 5px;
        color: black;
        padding: 10px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin: 4px 4px;
        cursor: pointer;
    }
    #personnes:hover {
        color: rgb(19, 134, 150);
        ;
        box-shadow: 4px 5px 5px rgb(19, 134, 150);
    }
    /* ---------- */
}